Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class SQLExpression

    java.lang.Object
      |
      +--com.mwc.sqld.db.SQLExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  SQLCriteria

public class SQLExpression
extends java.lang.Object
implements Expression

Field Summary
`static boolean` | `DEBUG_MODE`

Constructor Summary
`SQLExpression(java.util.Stack operand, java.util.Stack operator)`
`SQLExpression(java.util.Stack operand, java.util.Stack operator, java.lang.String as)`

Method Summary
`java.lang.String` | `as()`
`java.lang.Object` | `eval(ValueLookup[] tbl)`
`static boolean` | `like(java.lang.String value, java.lang.String pattern)`
`void` | `SQLAndExpr()`
`void` | `SQLCompareExpr()`
`java.lang.String` | `SQLCompareOp()`
`void` | `SQLNotExpr()`
`void` | `SQLOrExpr()`
`void` | `SQLProductExpr()`
`void` | `SQLSumExpr()`
`void` | `SQLTerm()`
`void` | `SQLUnaryExpr()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_MODE

    public static final boolean DEBUG_MODE

Constructor Detail

### SQLExpression

    public SQLExpression(java.util.Stack operand,
                         java.util.Stack operator)

### SQLExpression

    public SQLExpression(java.util.Stack operand,
                         java.util.Stack operator,
                         java.lang.String as)

Method Detail

### as

    public java.lang.String as()

### SQLOrExpr

    public void SQLOrExpr()
                   throws DBException

### SQLAndExpr

    public void SQLAndExpr()
                    throws DBException

### SQLNotExpr

    public void SQLNotExpr()
                    throws DBException

### like

    public static boolean like(java.lang.String value,
                               java.lang.String pattern)

### SQLCompareExpr

    public void SQLCompareExpr()
                        throws DBException

### SQLCompareOp

    public java.lang.String SQLCompareOp()

### SQLSumExpr

    public void SQLSumExpr()
                    throws DBException

### SQLProductExpr

    public void SQLProductExpr()
                        throws DBException

### SQLUnaryExpr

    public void SQLUnaryExpr()
                      throws DBException

### SQLTerm

    public void SQLTerm()
                 throws DBException

### eval

    public java.lang.Object eval(ValueLookup[] tbl)
                          throws DBException

  Specified by:
    `eval` in interface `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD